/*
 * (c) Copyright 2024 Swiss Post Ltd.
 */


/**
 * List of symbols (with their UTF-8 codepoint) included in the extended latin alphabet.
 * @type {string[]} LATIN_ALPHABET
 */
export const LATIN_ALPHABET: string[] = [
	String.fromCharCode(parseInt('0023', 16)), // # (U+0023)
	String.fromCharCode(parseInt('0020', 16)), //   (U+0020)
	String.fromCharCode(parseInt('0027', 16)), // ' (U+0027)
	String.fromCharCode(parseInt('0028', 16)), // ( (U+0028)
	String.fromCharCode(parseInt('0029', 16)), // ) (U+0029)
	String.fromCharCode(parseInt('002C', 16)), // , (U+002C)
	String.fromCharCode(parseInt('002D', 16)), // - (U+002D)
	String.fromCharCode(parseInt('002E', 16)), // . (U+002E)
	String.fromCharCode(parseInt('002F', 16)), // / (U+002F)
	String.fromCharCode(parseInt('0030', 16)), // 0 (U+0030)

	String.fromCharCode(parseInt('0031', 16)), // 1 (U+0031)
	String.fromCharCode(parseInt('0032', 16)), // 2 (U+0032)
	String.fromCharCode(parseInt('0033', 16)), // 3 (U+0033)
	String.fromCharCode(parseInt('0034', 16)), // 4 (U+0034)
	String.fromCharCode(parseInt('0035', 16)), // 5 (U+0035)
	String.fromCharCode(parseInt('0036', 16)), // 6 (U+0036)
	String.fromCharCode(parseInt('0037', 16)), // 7 (U+0037)
	String.fromCharCode(parseInt('0038', 16)), // 8 (U+0038)
	String.fromCharCode(parseInt('0039', 16)), // 9 (U+0039)
	String.fromCharCode(parseInt('0041', 16)), // A (U+0041)

	String.fromCharCode(parseInt('0042', 16)), // B (U+0042)
	String.fromCharCode(parseInt('0043', 16)), // C (U+0043)
	String.fromCharCode(parseInt('0044', 16)), // D (U+0044)
	String.fromCharCode(parseInt('0045', 16)), // E (U+0045)
	String.fromCharCode(parseInt('0046', 16)), // F (U+0046)
	String.fromCharCode(parseInt('0047', 16)), // G (U+0047)
	String.fromCharCode(parseInt('0048', 16)), // H (U+0048)
	String.fromCharCode(parseInt('0049', 16)), // I (U+0049)
	String.fromCharCode(parseInt('004A', 16)), // J (U+004A)
	String.fromCharCode(parseInt('004B', 16)), // K (U+004B)

	String.fromCharCode(parseInt('004C', 16)), // L (U+004C)
	String.fromCharCode(parseInt('004D', 16)), // M (U+004D)
	String.fromCharCode(parseInt('004E', 16)), // N (U+004E)
	String.fromCharCode(parseInt('004F', 16)), // O (U+004F)
	String.fromCharCode(parseInt('0050', 16)), // P (U+0050)
	String.fromCharCode(parseInt('0051', 16)), // Q (U+0051)
	String.fromCharCode(parseInt('0052', 16)), // R (U+0052)
	String.fromCharCode(parseInt('0053', 16)), // S (U+0053)
	String.fromCharCode(parseInt('0054', 16)), // T (U+0054)
	String.fromCharCode(parseInt('0055', 16)), // U (U+0055)

	String.fromCharCode(parseInt('0056', 16)), // V (U+0056)
	String.fromCharCode(parseInt('0057', 16)), // W (U+0057)
	String.fromCharCode(parseInt('0058', 16)), // X (U+0058)
	String.fromCharCode(parseInt('0059', 16)), // Y (U+0059)
	String.fromCharCode(parseInt('005A', 16)), // Z (U+005A)
	String.fromCharCode(parseInt('0061', 16)), // a (U+0061)
	String.fromCharCode(parseInt('0062', 16)), // b (U+0062)
	String.fromCharCode(parseInt('0063', 16)), // c (U+0063)
	String.fromCharCode(parseInt('0064', 16)), // d (U+0064)
	String.fromCharCode(parseInt('0065', 16)), // e (U+0065)

	String.fromCharCode(parseInt('0066', 16)), // f (U+0066)
	String.fromCharCode(parseInt('0067', 16)), // g (U+0067)
	String.fromCharCode(parseInt('0068', 16)), // h (U+0068)
	String.fromCharCode(parseInt('0069', 16)), // i (U+0069)
	String.fromCharCode(parseInt('006A', 16)), // j (U+006A)
	String.fromCharCode(parseInt('006B', 16)), // k (U+006B)
	String.fromCharCode(parseInt('006C', 16)), // l (U+006C)
	String.fromCharCode(parseInt('006D', 16)), // m (U+006D)
	String.fromCharCode(parseInt('006E', 16)), // n (U+006E)
	String.fromCharCode(parseInt('006F', 16)), // o (U+006F)

	String.fromCharCode(parseInt('0070', 16)), // p (U+0070)
	String.fromCharCode(parseInt('0071', 16)), // q (U+0071)
	String.fromCharCode(parseInt('0072', 16)), // r (U+0072)
	String.fromCharCode(parseInt('0073', 16)), // s (U+0073)
	String.fromCharCode(parseInt('0074', 16)), // t (U+0074)
	String.fromCharCode(parseInt('0075', 16)), // u (U+0075)
	String.fromCharCode(parseInt('0076', 16)), // v (U+0076)
	String.fromCharCode(parseInt('0077', 16)), // w (U+0077)
	String.fromCharCode(parseInt('0078', 16)), // x (U+0078)
	String.fromCharCode(parseInt('0079', 16)), // y (U+0079)

	String.fromCharCode(parseInt('007A', 16)), // z (U+007A)
	String.fromCharCode(parseInt('00A2', 16)), // ¢ (U+00A2)
	String.fromCharCode(parseInt('0160', 16)), // Š (U+0160)
	String.fromCharCode(parseInt('0161', 16)), // š (U+0161)
	String.fromCharCode(parseInt('017D', 16)), // Ž (U+017D)
	String.fromCharCode(parseInt('017E', 16)), // ž (U+017E)
	String.fromCharCode(parseInt('0152', 16)), // Œ (U+0152)
	String.fromCharCode(parseInt('0153', 16)), // œ (U+0153)
	String.fromCharCode(parseInt('0178', 16)), // Ÿ (U+0178)
	String.fromCharCode(parseInt('00C0', 16)), // À (U+00C0)

	String.fromCharCode(parseInt('00C1', 16)), // Á (U+00C1)
	String.fromCharCode(parseInt('00C2', 16)), // Â (U+00C2)
	String.fromCharCode(parseInt('00C3', 16)), // Ã (U+00C3)
	String.fromCharCode(parseInt('00C4', 16)), // Ä (U+00C4)
	String.fromCharCode(parseInt('00C5', 16)), // Å (U+00C5)
	String.fromCharCode(parseInt('00C6', 16)), // Æ (U+00C6)
	String.fromCharCode(parseInt('00C7', 16)), // Ç (U+00C7)
	String.fromCharCode(parseInt('00C8', 16)), // È (U+00C8)
	String.fromCharCode(parseInt('00C9', 16)), // É (U+00C9)
	String.fromCharCode(parseInt('00CA', 16)), // Ê (U+00CA)

	String.fromCharCode(parseInt('00CB', 16)), // Ë (U+00CB)
	String.fromCharCode(parseInt('00CC', 16)), // Ì (U+00CC)
	String.fromCharCode(parseInt('00CD', 16)), // Í (U+00CD)
	String.fromCharCode(parseInt('00CE', 16)), // Î (U+00CE)
	String.fromCharCode(parseInt('00CF', 16)), // Ï (U+00CF)
	String.fromCharCode(parseInt('00D0', 16)), // Ð (U+00D0)
	String.fromCharCode(parseInt('00D1', 16)), // Ñ (U+00D1)
	String.fromCharCode(parseInt('00D2', 16)), // Ò (U+00D2)
	String.fromCharCode(parseInt('00D3', 16)), // Ó (U+00D3)
	String.fromCharCode(parseInt('00D4', 16)), // Ô (U+00D4)

	String.fromCharCode(parseInt('00D5', 16)), // Õ (U+00D5)
	String.fromCharCode(parseInt('00D6', 16)), // Ö (U+00D6)
	String.fromCharCode(parseInt('00D8', 16)), // Ø (U+00D8)
	String.fromCharCode(parseInt('00D9', 16)), // Ù (U+00D9)
	String.fromCharCode(parseInt('00DA', 16)), // Ú (U+00DA)
	String.fromCharCode(parseInt('00DB', 16)), // Û (U+00DB)
	String.fromCharCode(parseInt('00DC', 16)), // Ü (U+00DC)
	String.fromCharCode(parseInt('00DD', 16)), // Ý (U+00DD)
	String.fromCharCode(parseInt('00DE', 16)), // Þ (U+00DE)
	String.fromCharCode(parseInt('00DF', 16)), // ß (U+00DF)

	String.fromCharCode(parseInt('00E0', 16)), // à (U+00E0)
	String.fromCharCode(parseInt('00E1', 16)), // á (U+00E1)
	String.fromCharCode(parseInt('00E2', 16)), // â (U+00E2)
	String.fromCharCode(parseInt('00E3', 16)), // ã (U+00E3)
	String.fromCharCode(parseInt('00E4', 16)), // ä (U+00E4)
	String.fromCharCode(parseInt('00E5', 16)), // å (U+00E5)
	String.fromCharCode(parseInt('00E6', 16)), // æ (U+00E6)
	String.fromCharCode(parseInt('00E7', 16)), // ç (U+00E7)
	String.fromCharCode(parseInt('00E8', 16)), // è (U+00E8)
	String.fromCharCode(parseInt('00E9', 16)), // é (U+00E9)

	String.fromCharCode(parseInt('00EA', 16)), // ê (U+00EA)
	String.fromCharCode(parseInt('00EB', 16)), // ë (U+00EB)
	String.fromCharCode(parseInt('00EC', 16)), // ì (U+00EC)
	String.fromCharCode(parseInt('00ED', 16)), // í (U+00ED)
	String.fromCharCode(parseInt('00EE', 16)), // î (U+00EE)
	String.fromCharCode(parseInt('00EF', 16)), // ï (U+00EF)
	String.fromCharCode(parseInt('00F0', 16)), // ð (U+00F0)
	String.fromCharCode(parseInt('00F1', 16)), // ñ (U+00F1)
	String.fromCharCode(parseInt('00F2', 16)), // ò (U+00F2)
	String.fromCharCode(parseInt('00F3', 16)), // ó (U+00F3)

	String.fromCharCode(parseInt('00F4', 16)), // ô (U+00F4)
	String.fromCharCode(parseInt('00F5', 16)), // õ (U+00F5)
	String.fromCharCode(parseInt('00F6', 16)), // ö (U+00F6)
	String.fromCharCode(parseInt('00F8', 16)), // ø (U+00F8)
	String.fromCharCode(parseInt('00F9', 16)), // ù (U+00F9)
	String.fromCharCode(parseInt('00FA', 16)), // ú (U+00FA)
	String.fromCharCode(parseInt('00FB', 16)), // û (U+00FB)
	String.fromCharCode(parseInt('00FC', 16)), // ü (U+00FC)
	String.fromCharCode(parseInt('00FD', 16)), // ý (U+00FD)
	String.fromCharCode(parseInt('00FE', 16)), // þ (U+00FE)

	String.fromCharCode(parseInt('00FF', 16)), // ÿ (U+00FF)
];

